<template>
  <div id="app">
    <HeadSection :last_updated="summary_data.last_updated" />
    <CaseTracker/>
  </div>
</template>

<script>
import axios from 'axios';
import CaseTracker from "./components/CaseTracker.vue";
import HeadSection from "./components/HeadSection.vue";
const BASE_URL = process.env.VUE_APP_BASE_URL || "https://covid.monitaur.ai";
export default {
  name: "App",
  components: {
    CaseTracker,
    HeadSection
  },
  data(){
    return {
      summary_data: {
        worldwide_cases: 0,
        worldwide_deaths: 0,
        worldwide_recovered: 0,
        last_updated: ""
      }
    }
  },
  methods: {
    getSummaryData() {
      axios
        .get(`${BASE_URL}/api/coronavirus/countries/cases`)
        .then(response => {
          this.summary_data = response.data;
        });
    }
  },
  created() {
    this.getSummaryData();
  }
};
</script>

<style>
/* custom css */

.container{
  margin-left: 150px !important;
}

.main {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
}

.section {
  flex: 1;
}

.loader-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: #fff;
  opacity: 0;
  z-index: -1;
  transition: opacity 0.3s;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
}

.loader-wrapper .loader {
  height: 80px;
  width: 80px;
}

.loader-wrapper.is-active {
  opacity: 1;
  z-index: 1;
}

thead > tr > th {
  text-align: center !important;
}

th {
  font-size: 12px;
}
</style>
